function dy=earth_moon3d(t,y,flag)
% odefunct called by newton.m
% gives the Newtonian equations for the system Sun-Earth-Moon
% neglecting Sun's recoil 
% xE, xEd earth's coordinates
% xM, xMd moon's   "
% 3D version

global GMM
global GME
global GM

GMtot=GME+GMM;

xCM =y(1:3);
xR  =y(4:6);

xCMd =y(7:9);
xRd  =y(10:12);

cT=GME/GMtot;
cL=GMM/GMtot;

xM=xCM+xR*cT;
xE=xCM-xR*cL;

FR=newt(xR,GMtot);
FT=newt(xE,GM);
FL=newt(xM,GM);

FCM = -cL*FL-cT*FT;

%clc;t

dy=[
  xCMd;
  xRd;
  FCM;
  -FL + FT - FR;
  ];

%-------

function z=newt(x,G_M)
z=G_M * x/norm(x)^3;
