function frequencies(T,NL)
% Fourier analysis of the Laplace-Runge-Lenz vector 
% needs T and NL as returned by newton3d 

Month=27.3217;
Year =365.2570;
Saros=Year*18+11.3333;

disp(['Modulating the signal with with hanning filter']);

N=max(size(NL));
f=NL(:,1)+i*NL(:,2);

z1=fft((f-mean(f)).*hanning(N));
z3=fft((NL(:,3)-mean(NL(:,3))).*hanning(N));

k=max(T)./(1:N/4);  
subplot(131)
semilogy(Month./k,abs(z1(1:N/4)));
hold on
p2=semilogy(Month./k,abs(z3(1:N/4)),'g');

grid on

set(gca,'GridLineStyle',':','FontName','Courier','FontSize',14)
ylabel('spectral intensity')
xlabel('month^{-1}')

x1=floor(max(T)/Month);

subplot(132)
k=max(T)./(1:x1);  
semilogy(Year./k,abs(z1(1:x1)));
hold
semilogy(Year./k,abs(z3(1:x1)),'g');
grid on

set(gca,'GridLineStyle',':','FontName','Courier','FontSize',14);

xlabel('year^{-1}')

x2=floor(max(T)/Year);

subplot(133)

k=max(T)./(1:x2);
semilogy(Saros./k,abs(z1(1:x2)));
hold

semilogy(Saros./k,abs(z3(1:x2)),'g');
grid on

set(gca,'GridLineStyle',':','FontName','Courier','FontSize',14);

xlabel('saros^{-1}')

print -depsc spectrum

%---------------------

function h=hanning(n)			% Hanning window 

x=0:(n-1);
x=x';
h=1-cos(2*pi*x/n);
